Loading...
Searching...
No Matches
smartsParser.h File Reference
`#include <BALL/common.h>`
`#include <map>`
`#include <set>`

Go to the source code of this file.

## Classes

class | BALL::SmartsParser
class | BALL::SmartsParser::SPBond
| Bond representation of the smarts parser. More...
class | BALL::SmartsParser::SPAtom
| Smarts Parser Atom class. More...
union | BALL::SmartsParser::SPAtom::PropertyValue
| possible types of the properties More...
struct | BALL::SmartsParser::SPAtom::Property
| Property struct of smarts parser atom. More...
class | BALL::SmartsParser::SPEdge
| Edge representation of the smarts parser graph. More...
class | BALL::SmartsParser::SPNode
| Representation of a node in the smarts parser graph. More...
struct | BALL::SmartsParser::State
| Parser state (used by the parser itself). More...

## Namespaces

namespace | BALL